<template>
  <img alt="Vue logo" src="./assets/logo.png" />
  <!-- <HelloWorld msg="Welcome to Your Vue.js App"/> -->
  <input v-model="persona.nombre" placeholder="Nombre" type="text" />
  <input v-model="persona.apellido" placeholder="Apellido" type="text" />
  <button @click="submit">Enviar</button>

  <h1 class="red-color">Cantidad de personas en la lista: {{ getLengthPersonaList }}</h1>
</template>


<script>
// import HelloWorld from './components/HelloWorld.vue'

export default {
  name: "App",
  data() {
    return {
      persona: {
        nombre: "",
        apellido: "",
      },
      personaList: [],
    };
  },
  computed: {
    getLengthPersonaList() {
      return this.personaList.length;
    },
  },
  methods: {
    submit() {
      if (this.isValid(this.persona.nombre, this.persona.apellido)) {
        this.personaList.push(this.persona);
        // this.$store.commit("SET_LIST_PERSONA", this.personaList);
        this.persona.nombre = "";
        this.persona.apellido = "";
      }
    },
    isValid(nombre, apellido) {
      if (nombre != "" && apellido != "") return true;

      return false;
    },
  },
  components: {
    // HelloWorld
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
.red-color {
  color: red;
}
</style>
